Index: cprs/trunk/CPRS-Chart/fMeds.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fMeds.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/fMeds.dfm	(revision 830)
@@ -1,10 +1,10 @@
 inherited frmMeds: TfrmMeds
-  Left = 93
-  Top = 250
-  Width = 709
-  Height = 686
+  Left = 333
+  Top = 55
   HelpContext = 3000
   VertScrollBar.Visible = False
   Caption = 'Medications Page'
+  ClientHeight = 651
+  ClientWidth = 701
   HelpFile = 'qnoback'
   Menu = mnuMeds
@@ -14,4 +14,6 @@
   OnResize = FormResize
   OnShow = FormShow
+  ExplicitWidth = 709
+  ExplicitHeight = 697
   PixelsPerInch = 96
   TextHeight = 13
@@ -21,8 +23,11 @@
     Height = -4
     Align = alCustom
-  end
-  object splitTop: TSplitter
+    ExplicitTop = 524
+    ExplicitWidth = 1028
+    ExplicitHeight = -4
+  end
+  object splitTop: TSplitter [1]
     Left = 0
-    Top = 421
+    Top = 440
     Width = 701
     Height = 4
@@ -36,8 +41,9 @@
     ParentColor = False
     OnMoved = splitTopMoved
-  end
-  object pnlBottom: TORAutoPanel
+    ExplicitTop = 429
+  end
+  object pnlBottom: TORAutoPanel [2]
     Left = 0
-    Top = 425
+    Top = 444
     Width = 701
     Height = 207
@@ -46,5 +52,5 @@
     Ctl3D = False
     ParentCtl3D = False
-    TabOrder = 0
+    TabOrder = 2
     object splitBottom: TSplitter
       Left = 1
@@ -99,5 +105,4 @@
         Height = 16
         BiDiMode = bdLeftToRight
-        DragReorder = False
         Constraints.MinHeight = 16
         Sections = <
@@ -178,5 +183,4 @@
         Height = 16
         BiDiMode = bdLeftToRight
-        DragReorder = False
         Constraints.MinHeight = 16
         Sections = <
@@ -214,9 +218,9 @@
     end
   end
-  object pnlTop: TORAutoPanel
+  object pnlTop: TORAutoPanel [3]
     Left = 0
-    Top = 0
+    Top = 22
     Width = 701
-    Height = 421
+    Height = 418
     Align = alClient
     Ctl3D = True
@@ -228,5 +232,5 @@
       Top = 17
       Width = 699
-      Height = 403
+      Height = 400
       Style = lbOwnerDrawVariable
       Align = alClient
@@ -252,5 +256,4 @@
       Height = 16
       BiDiMode = bdLeftToRight
-      DragReorder = False
       Constraints.MinHeight = 16
       Sections = <
@@ -298,4 +301,67 @@
       OnResize = hdrMedsOutResize
     end
+  end
+  object pnlView: TPanel [4]
+    Left = 0
+    Top = 0
+    Width = 701
+    Height = 22
+    Align = alTop
+    TabOrder = 0
+    object txtView: TVA508StaticText
+      Name = 'txtView'
+      Left = 9
+      Top = 3
+      Width = 36
+      Height = 15
+      Alignment = taLeftJustify
+      Caption = 'txtView'
+      TabOrder = 0
+      ShowAccelChar = True
+    end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Left = 16
+    Top = 152
+    Data = (
+      (
+        'Component = pnlBottom'
+        'Status = stsDefault')
+      (
+        'Component = pnlMedIn'
+        'Status = stsDefault')
+      (
+        'Component = lstMedsIn'
+        'Status = stsDefault')
+      (
+        'Component = hdrMedsIn'
+        'Status = stsDefault')
+      (
+        'Component = pnlNonVA'
+        'Status = stsDefault')
+      (
+        'Component = lstMedsNonVA'
+        'Status = stsDefault')
+      (
+        'Component = hdrMedsNonVA'
+        'Status = stsDefault')
+      (
+        'Component = pnlTop'
+        'Status = stsDefault')
+      (
+        'Component = lstMedsOut'
+        'Status = stsDefault')
+      (
+        'Component = hdrMedsOut'
+        'Status = stsDefault')
+      (
+        'Component = frmMeds'
+        'Status = stsDefault')
+      (
+        'Component = pnlView'
+        'Status = stsDefault')
+      (
+        'Component = txtView'
+        'Status = stsDefault'))
   end
   object mnuMeds: TMainMenu
@@ -438,19 +504,36 @@
         Visible = False
       end
+      object Z4: TMenuItem
+        Caption = '-'
+        Visible = False
+      end
+      object mnuViewDetail: TMenuItem
+        Caption = '&Details...'
+        OnClick = mnuViewDetailClick
+      end
       object mnuViewSortName: TMenuItem
         Caption = 'Sort by Drug &Name'
         Visible = False
       end
-      object Z4: TMenuItem
-        Caption = '-'
-        Visible = False
-      end
-      object mnuViewDetail: TMenuItem
-        Caption = '&Details...'
-        OnClick = mnuViewDetailClick
-      end
       object mnuViewHistory: TMenuItem
         Caption = 'Administration &History...'
         OnClick = mnuViewHistoryClick
+      end
+      object N3: TMenuItem
+        Caption = '-'
+      end
+      object SortbyStatusthenLocation1: TMenuItem
+        Caption = 'Sort by Status/Exp. Date (IMO first on Inpt)'
+        OnClick = SortbyStatusthenLocation1Click
+      end
+      object SortbyClinicOrderthenStatusthenStopDate1: TMenuItem
+        Caption = 'Sort by Status Group/Status/Location/Drug Name'
+        OnClick = SortbyClinicOrderthenStatusthenStopDate1Click
+      end
+      object SortbyDrugalphabeticallystatusactivestatusrecentexpired1: TMenuItem
+        Caption = 
+          'Sort by Drug (alphabetically), status active, status recent expi' +
+          'red'
+        OnClick = SortbyDrugalphabeticallystatusactivestatusrecentexpired1Click
       end
     end
